Module tdlight.api
Package it.tdlight.jni

# Class TdApi.GetLanguagePackStrings

java.lang.Object
it.tdlight.jni.TdApi.Object
it.tdlight.jni.TdApi.Function<TdApi.LanguagePackStrings>
it.tdlight.jni.TdApi.GetLanguagePackStrings

Enclosing class:
  TdApi

public static final class TdApi.GetLanguagePackStrings extends TdApi.Function<TdApi.LanguagePackStrings>
Returns strings from a language pack in the current localization target by their keys. Can be called before authorization.

Returns `LanguagePackStrings`

## Field Summary

Fields
Modifier and Type
Field
Description
`static final int`
`CONSTRUCTOR`
`String[]`
`keys`
Language pack keys of the strings to be returned; leave empty to request all available strings.
`String`
`languagePackId`
Language pack identifier of the strings to be returned.

## Constructor Summary

Constructors
Constructor
Description
`GetLanguagePackStrings()`
Returns strings from a language pack in the current localization target by their keys.
`GetLanguagePackStrings(DataInput input)`
Returns strings from a language pack in the current localization target by their keys.
`GetLanguagePackStrings(String languagePackId, String[] keys)`
Returns strings from a language pack in the current localization target by their keys.

## Method Summary

Modifier and Type
Method
Description
`boolean`
`equals(Object o)`
`int`
`getConstructor()`
`int`
`hashCode()`
`void`
`serialize(DataOutput output)`

### Methods inherited from class it.tdlight.jni.TdApi.Function

`toString`

### Methods inherited from class it.tdlight.jni.TdApi.Object

`serialize`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

## Field Details

### languagePackId

public String languagePackId
Language pack identifier of the strings to be returned.

### keys

public String[] keys
Language pack keys of the strings to be returned; leave empty to request all available strings.

### CONSTRUCTOR

public static final int CONSTRUCTOR

See Also:
  - Constant Field Values

## Constructor Details

### GetLanguagePackStrings

public GetLanguagePackStrings()
Returns strings from a language pack in the current localization target by their keys. Can be called before authorization.

Returns `LanguagePackStrings`

### GetLanguagePackStrings

public GetLanguagePackStrings(String languagePackId, String[] keys)
Returns strings from a language pack in the current localization target by their keys. Can be called before authorization.

Returns `LanguagePackStrings`

Parameters:
  `languagePackId` - String Language pack identifier of the strings to be returned.
  `keys` - String[] Language pack keys of the strings to be returned; leave empty to request all available strings.

### GetLanguagePackStrings

public GetLanguagePackStrings(DataInput input) throws IOException
Returns strings from a language pack in the current localization target by their keys. Can be called before authorization.

Returns `LanguagePackStrings`

Throws:
  `IOException`

## Method Details

### getConstructor

public int getConstructor()

Specified by:
  `getConstructor` in class `TdApi.Object`

### serialize

public void serialize(DataOutput output) throws IOException

Specified by:
  `serialize` in class `TdApi.Object`
Throws:
  `IOException`

### equals

public boolean equals(Object o)

Overrides:
  `equals` in class `Object`

### hashCode

public int hashCode()

Overrides:
  `hashCode` in class `Object`